The **Responsive Image Debugger** module is a powerful tool for web developers working with responsive images in Drupal. It provides a simple yet effective way to visualize and debug responsive image selections made by the browser.

### Features

- **Visual Debugging:** The module overlays image sizes and the corresponding Drupal image style names directly onto images. This allows developers to see which image was selected by the browser.
- **`srcset` and `sizes` Attributes:** Particularly useful for developers using the `srcset` and `sizes` attributes of the `img` tag. The module helps in understanding how different screen sizes affect the image selection process.
- **Optimizes Workflow:** Developers can quickly identify if the correct image size is being used for various breakpoints, ensuring optimal performance and user experience.
- **Easy to Use:** Simply enable the module, and it will start displaying the debugging information on responsive images throughout your site.

### Additional Requirements

Only [image_effects](https://www.drupal.org/project/image_effects) and its dependencies.

### Supported Image Toolkits

Module should work with GD2, ImageMagick, as well as GraphicsMagick toolkits.

### Configuration

No additional configuration required. After enabling, this module replaces the `ImageStyle` entity class and adds the additional Image Style Effect "Text Overlay" from [image_effects](https://www.drupal.org/project/image_effects) automatically.

### Danger

**Do not use on production!** During the installation process, the module removes the styles folder in your site's public folder.

### Conflicts
This module conflicts with [imageapi_optimize](https://www.drupal.org/project/imageapi_optimize) module, because both modules overrides the entity type `image_style` class.
When enabled - `ImageStyle` class from `responsive_image_debugger` will be used.
So this module should be used on dev/testing environment for debugging purposes only.
It will also conflict with any other modules which overrides the `image_style` entity type class.
